#
# spec file for libqt4-webkit-qupzillaplugins
#
# Copyright (c) 2015 Marcin Bajor (marcin.bajor@gmail.com)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libqt4-webkit-qupzillaplugins
Version: 1.0
Release: 2.1.art
Summary:        Set of QtWebKit platform plugins for the latest QtWebKit 2.3 version
License:        GPLv3
Group:          Development/Languages
%if (0%{?suse_version} || 0%{?sles_version})
BuildRequires:  libQtWebKit-devel
%else
BuildRequires:  qtwebkit-devel
%endif
BuildRequires:  qt-devel
BuildRequires:  hunspell-devel

Source:         %{name}-%{version}.tar.gz
Patch1:          spellcheck.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Set of QtWebKit platform plugins for the latest QtWebKit 2.3 version

%prep
%setup -q
%patch1

CXXFLAGS=$RPM_OPT_FLAGS+" "+`pkg-config  --cflags QtWebKit`
%if (0%{?suse_version} || 0%{?sles_version})
qmake
%else
qmake-qt4
%endif 

%__make %{?_smp_mflags}


%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%defattr(-,root,root)
%dir %{_libdir}/qt4/plugins/webkit
%{_libdir}/qt4/plugins/webkit/*
%changelog
* Sat Sep 26 2015 marcin.bajor@gmail.com
- Initial release
